View Issue Details

IDProjectCategoryView StatusLast Update
0000205Siril[All Projects] Sirilpublic2018-05-17 22:38
Reporterlock42Assigned Tovinvin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformGNU/Linux 64bitsOSDebianOS VersionTesting
Product Version0.9.7 
Target Version0.9.9Fixed in Version0.9.9 
Summary0000205: Save statistics and autostretch parameters for better performance
DescriptionFor now, statistics and autostretch parameters are computed at each call.
For better performance we need to save these values and only recompute when pixels changes.
TagsNo tags attached.

Relationships

related to 0000203 resolvedlock42 Reduce display time of autostretch 
related to 0000207 assigned Vips: implement all display operations 

Activities

vinvin

2017-11-25 00:34

administrator   ~0000426

Goes together with the implementation of autostretch in vips. Maybe vips caching will do all the job if we can implement it completely with it.

vinvin

2018-03-17 12:02

administrator   ~0000502

Fix committed to Siril (2146).

lock42

2018-04-05 15:45

administrator   ~0000524

Last edited: 2018-04-07 02:29

View 8 revisions

5 bugs have been detected:
- Sequence export crashes -> fixed in 2193
- Autostretch can crash siril if we first load a SER sequence as CFA then as demosaiced. -> fixed in 2194
- Stacking normalisation failed on on-the-fly demosaiced ser files ----> fixed in r2181
- Force normalization has no effect anymore ----> fixed in 2191
- Recompute seqfile (in sequence tab) does not errase statistic cache while it should ----> fixed in 2192

vinvin

2018-04-07 02:29

administrator   ~0000526

Fix committed to Siril (2194).

lock42

2018-04-10 10:18

administrator   ~0000527

r2194 did not fix the bug.

vinvin

2018-04-17 00:10

administrator   ~0000528

Opening a CFA sequence in monochrome after having made the registration or normalization in RGB deletes the data. It'd be nice to keep all data any way we open the sequence.

vinvin

2018-05-05 01:07

administrator   ~0000538

Last edited: 2018-05-05 01:07

View 2 revisions

Looks pretty well fixed this time.

Related Changesets

Siril: 0.9.9 r1922

2017-12-15 02:24:59

vinvin

Details
Merging 0.9 into 0.9.9 and first implementation of the new statistics caching function and new .seq file format, issue 0000205.
Stats not yet cached for single image.
Affected Issues
0000205
mod - /branches/0.9.9
mod - /branches/0.9.9/config.guess
mod - /branches/0.9.9/config.sub
mod - /branches/0.9.9/src/algos/colors.c
mod - /branches/0.9.9/src/algos/cosmetic_correction.c
mod - /branches/0.9.9/src/algos/star_finder.c
mod - /branches/0.9.9/src/algos/statistics.c
add - /branches/0.9.9/src/algos/statistics.h
mod - /branches/0.9.9/src/core/command.c
mod - /branches/0.9.9/src/core/proto.h
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/gui/histogram.c
mod - /branches/0.9.9/src/gui/statistics_list.c
mod - /branches/0.9.9/src/io/seqfile.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/sequence.h
mod - /branches/0.9.9/src/stacking/normalization.c

Siril: 0.9.9 r1929

2017-12-20 01:26:58

vinvin

Details
Almost working all the time version of the statistics caching for single image operations, issue 0000205.
Affected Issues
0000205
mod - /branches/0.9.9/src/algos/colors.c
mod - /branches/0.9.9/src/algos/cosmetic_correction.c
mod - /branches/0.9.9/src/algos/star_finder.c
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/algos/statistics.h
mod - /branches/0.9.9/src/core/command.c
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/gui/histogram.c
mod - /branches/0.9.9/src/gui/statistics_list.c
mod - /branches/0.9.9/src/io/image_format_fits.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/single_image.c

Siril: 0.9.9 r1930

2017-12-20 01:36:14

vinvin

Details
Merging 0.9 into 0.9.9 (issue 0000205).
Affected Issues
0000205
mod - /branches/0.9.9
mod - /branches/0.9.9/po/fr.po
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/compositing/align_rgb.c
mod - /branches/0.9.9/src/compositing/compositing.c
mod - /branches/0.9.9/src/core/processing.c
mod - /branches/0.9.9/src/core/processing.h
mod - /branches/0.9.9/src/core/proto.h
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/core/utils.c
mod - /branches/0.9.9/src/gui/progress_and_log.c
mod - /branches/0.9.9/src/gui/registration_preview.c
mod - /branches/0.9.9/src/gui/sequence_list.c
mod - /branches/0.9.9/src/gui/siril3.glade
mod - /branches/0.9.9/src/io/seqfile.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/sequence_export.c
mod - /branches/0.9.9/src/io/ser.c
mod - /branches/0.9.9/src/opencv/opencv.cpp
mod - /branches/0.9.9/src/opencv/opencv.h
mod - /branches/0.9.9/src/registration/registration.c
mod - /branches/0.9.9/src/stacking/stacking.c
mod - /branches/0.9.9/src/stacking/stacking.h
mod - /branches/0.9.9/src/stacking/sum.c

Siril: 0.9.9 r2090

2018-02-04 01:24:15

vinvin

Details
one bugfix in stats saving, but still not always working. issue 0000205 Affected Issues
0000205
mod - /branches/0.9.9/src/algos/statistics.c

Siril: 0.9.9 r2140

2018-03-09 22:56:58

vinvin

Details
Improving sequence and single image switching and management. Adding close_sequence().
Removing the use of wfit in stacking.
Improving stats handling, but there is still the stacking result display bug.
Ref issue 0000205.
Affected Issues
0000205
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/core/processing.c
mod - /branches/0.9.9/src/core/proto.h
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/gui/callbacks.c
mod - /branches/0.9.9/src/gui/sequence_list.c
mod - /branches/0.9.9/src/io/image_format_fits.c
mod - /branches/0.9.9/src/io/seqfile.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/sequence.h
mod - /branches/0.9.9/src/io/single_image.c
mod - /branches/0.9.9/src/stacking/normalization.c
mod - /branches/0.9.9/src/stacking/stacking.c
mod - /branches/0.9.9/src/stacking/sum.c

Siril: 0.9.9 r2142

2018-03-11 02:36:22

vinvin

Details
Fixing the main bug in 0.9.9. Candidate for issue 0000205 implementation.
Affected Issues
0000205
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/gui/callbacks.c

Siril: 0.9.9 r2146

2018-03-17 12:02:26

vinvin

Details
Removing min and max from fits, using the stats instead.
This probably fixes 0000205 (stats caching).
Now the question for issue 0000227 (min max reduction in one pass) is how fast is the current gsl implementation of min max search (gsl_stats_ushort_minmax()) compared to openmp?
Affected Issues
0000205, 0000227
mod - /branches/0.9.9/src/algos/colors.c
mod - /branches/0.9.9/src/algos/cosmetic_correction.c
mod - /branches/0.9.9/src/algos/star_finder.c
mod - /branches/0.9.9/src/algos/statistics.c
mod - /branches/0.9.9/src/algos/statistics.h
mod - /branches/0.9.9/src/compositing/compositing.c
mod - /branches/0.9.9/src/core/command.c
mod - /branches/0.9.9/src/core/siril.c
mod - /branches/0.9.9/src/core/siril.h
mod - /branches/0.9.9/src/core/utils.c
mod - /branches/0.9.9/src/gui/callbacks.c
mod - /branches/0.9.9/src/gui/histogram.c
mod - /branches/0.9.9/src/gui/statistics_list.c
mod - /branches/0.9.9/src/io/image_format_fits.c
mod - /branches/0.9.9/src/io/sequence.c
mod - /branches/0.9.9/src/io/single_image.c
mod - /branches/0.9.9/src/io/single_image.h
mod - /branches/0.9.9/src/stacking/normalization.c
mod - /branches/0.9.9/src/stacking/stacking.c

Siril: 0.9 r2183

2018-04-02 23:43:17

vinvin

Details
Fixing min/max stats requests and stats clean-up on sequence replacement.
Affected Issues
0000205
mod - /branches/0.9/src/algos/statistics.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/single_image.c

Siril: 0.9 r2193

2018-04-06 22:38:41

vinvin

Details
Fixes sequence export. Probably didn't see the comment line 226 and the fact that destfit was copied from fit and added a bad clearfits call... Ref issue 0000205.
Affected Issues
0000205
mod - /branches/0.9/src/io/sequence_export.c

Siril: 0.9 r2194

2018-04-07 02:29:02

vinvin

Details
Fixes 0000205 - error when opening CFA SER sequences in debayer mode.
Affected Issues
0000205
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/io/ser.c
mod - /branches/0.9/src/io/ser.h

Siril: 0.9 r2200

2018-04-11 02:52:36

vinvin

Details
Trying to fix the SER debayer stats issue by adding a new flag in the .seq file for stats.
Added the 'close' command to help debug.
Affected Issues
0000205
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/command.h
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/gui/callbacks.h
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c

Siril: 0.9 r2243

2018-05-01 02:51:01

vinvin

Details
Storing regdata and stats for not opened layers in CFA SER depending on mode, to not lose any precomputed data in any case.
regdata from the first available demosaiced layer are copied to monochrome data (useful for bayer drizzle)
Image and sequence are closed on siril exit, which saves last computed data in the seqfile.
Should end issue 0000205.
Affected Issues
0000205
mod - /branches/0.9/src/algos/pave.c
mod - /branches/0.9/src/algos/star_finder.c
mod - /branches/0.9/src/algos/statistics.c
mod - /branches/0.9/src/algos/statistics.h
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/callbacks.c
mod - /branches/0.9/src/io/image_formats_internal.c
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/main.c

Siril: 0.9 r2328

2018-05-17 01:10:51

vinvin

Details
Removing the target seqfile on preprocessing start (for stats, issue 0000205).
Modifying everywhere the stats error message that was modified only once.
Affected Issues
0000205
mod - /branches/0.9/src/algos/colors.c
mod - /branches/0.9/src/algos/cosmetic_correction.c
mod - /branches/0.9/src/core/command.c
mod - /branches/0.9/src/core/siril.c
mod - /branches/0.9/src/gui/histogram.c
mod - /branches/0.9/src/gui/statistics_list.c

Siril: 0.9 r2334

2018-05-17 22:38:00

vinvin

Details
fixing a stats debug printf - issue 0000205 Affected Issues
0000205
mod - /branches/0.9/src/algos/statistics.c
mod - /branches/0.9/src/stacking/normalization.c

Issue History

Date Modified Username Field Change
2017-11-21 09:59 lock42 New Issue
2017-11-21 10:05 lock42 Relationship added related to 0000203
2017-11-25 00:34 vinvin Note Added: 0000426
2017-12-01 23:34 vinvin Status new => confirmed
2017-12-03 00:30 vinvin Relationship added related to 0000207
2017-12-04 02:12 vinvin Assigned To => vinvin
2017-12-04 02:12 vinvin Status confirmed => assigned
2017-12-15 02:25 vinvin Changeset attached => Siril 0.9.9 r1922
2017-12-15 02:25 vinvin Target Version 1.0.0 => 0.9.9
2017-12-20 01:27 vinvin Changeset attached => Siril 0.9.9 r1929
2017-12-20 01:36 vinvin Changeset attached => Siril 0.9.9 r1930
2018-02-04 01:24 vinvin Changeset attached => Siril 0.9.9 r2090
2018-03-09 22:57 vinvin Changeset attached => Siril 0.9.9 r2140
2018-03-11 02:36 vinvin Changeset attached => Siril 0.9.9 r2142
2018-03-17 12:02 vinvin Changeset attached => Siril 0.9.9 r2146
2018-03-17 12:02 vinvin Note Added: 0000502
2018-03-17 12:02 vinvin Status assigned => resolved
2018-03-17 12:02 vinvin Resolution open => fixed
2018-03-17 12:05 vinvin Fixed in Version => 0.9.9
2018-04-04 01:04 vinvin Changeset attached => Siril 0.9 r2183
2018-04-05 15:43 lock42 Status resolved => confirmed
2018-04-05 15:43 lock42 Resolution fixed => reopened
2018-04-05 15:45 lock42 Note Added: 0000524
2018-04-05 16:25 lock42 Note Edited: 0000524 View Revisions
2018-04-05 17:16 lock42 Note Edited: 0000524 View Revisions
2018-04-05 21:41 lock42 Note Edited: 0000524 View Revisions
2018-04-06 10:13 lock42 Note Edited: 0000524 View Revisions
2018-04-06 10:59 lock42 Note Edited: 0000524 View Revisions
2018-04-06 22:37 vinvin Assigned To vinvin => lock42
2018-04-06 22:37 vinvin Assigned To lock42 => vinvin
2018-04-06 22:37 vinvin Status confirmed => assigned
2018-04-06 22:38 vinvin Changeset attached => Siril 0.9 r2193
2018-04-06 22:39 vinvin Note Edited: 0000524 View Revisions
2018-04-07 02:29 vinvin Changeset attached => Siril 0.9 r2194
2018-04-07 02:29 vinvin Note Added: 0000526
2018-04-07 02:29 vinvin Status assigned => resolved
2018-04-07 02:29 vinvin Resolution reopened => fixed
2018-04-07 02:29 vinvin Note Edited: 0000524 View Revisions
2018-04-10 10:18 lock42 Status resolved => confirmed
2018-04-10 10:18 lock42 Note Added: 0000527
2018-04-10 10:19 lock42 Resolution fixed => open
2018-04-10 22:51 vinvin Status confirmed => assigned
2018-04-11 02:54 vinvin Changeset attached => Siril 0.9 r2200
2018-04-17 00:10 vinvin Note Added: 0000528
2018-05-01 02:51 vinvin Changeset attached => Siril 0.9 r2243
2018-05-05 01:07 vinvin Status assigned => resolved
2018-05-05 01:07 vinvin Resolution open => fixed
2018-05-05 01:07 vinvin Note Added: 0000538
2018-05-05 01:07 vinvin Note Edited: 0000538 View Revisions
2018-05-17 01:10 vinvin Changeset attached => Siril 0.9 r2328
2018-05-17 22:38 vinvin Changeset attached => Siril 0.9 r2334